package fips.sim.dig.comp.fsm;

public class ActionMethod {

  Object			instance;
  java.lang.reflect.Method	method;
  Object			prms[];

  public ActionMethod(Object instance, java.lang.reflect.Method method,
                      Object prms[]) {
    this.instance=instance;
    this.method=method;
    this.prms=prms;
  }

  public Object invoke() {
    try {
      return(method.invoke(instance, prms));
    } catch (java.lang.reflect.InvocationTargetException ite) {
      //ERROR ("Can't invoke method "+method+" on "+instance+" with params "+
      //ERROR  prms);
      //ERROR ite.printStackTrace();
      throw new IllegalArgumentException();
    } catch (IllegalAccessException iae) {
      //ERROR ("Can't invoke method "+method+" on "+instance+" with params "+
      //ERROR  prms);
      //ERROR iae.printStackTrace();
      throw new IllegalArgumentException();
    }
  }


}

