package fips.sim.dig.util;


import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Point;


public class GraphicsUtil {


  public static void drawLine(Graphics graphics, int orientation,
                              Point offset, Dimension realsize,
                              int x1, int y1, int x2, int y2) {

    switch(orientation) {
      case 0:
        graphics.drawLine(offset.x+x1, offset.y+y1, offset.x+x2, offset.y+y2);
        break;
      default:
        throw new InternalError();
    }
  }




  public static void drawArc(Graphics graphics, int orientation,
                              Point offset, Dimension realsize,
                              int x, int y, int width, int height,
                              int start, int stop) {
    switch(orientation) {
      case 0:
        x=x+offset.x;
        y=y+offset.y;
        break;
      default:
        throw new InternalError();
    }

    graphics.drawArc(x, y, width, height, start, stop);
  }

}










